package org.gidea.scada.monitor.rabbit.config;

import org.gidea.scada.monitor.rabbit.entity.MonitorMessage;

/**
 * 客户端对命令的处理方式，自定义
 */
public interface CommandAnalysis {
    /**
     * 请求指令，是否需要对指令做存储方便对接收到的响应指令做分析判断是否是自己的指令
     *
     * @param message
     */
    void requestCommand(MonitorMessage message);

    /**
     * 响应指令，是否需要对指令响应结果做分析判断是否是自己的指令的响应结果
     *
     * @param message
     */
    void responseCommand(MonitorMessage message);

    /**
     * 获取响应指令
     *
     * @param requestMessage 请求指令
     * @return
     */
    MonitorMessage result(MonitorMessage requestMessage);
}
