package org.gidea.scada.monitor.rabbit.config;

import com.rabbitmq.client.Channel;
import org.gidea.scada.monitor.rabbit.entity.MonitorMessage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;

import javax.annotation.Resource;
import java.io.IOException;

import static org.gidea.scada.monitor.utils.RabbitExchangeEnum.MonitorCommandService;

@Configuration
public class MonitorClient {
    @Resource
    private Channel channel;

    @Autowired(required = false)
    private CommandAnalysis analysis;

    public void sendCommand(MonitorMessage message) throws IOException {
        if (analysis != null) {
            analysis.requestCommand(message);
        }
        channel.basicPublish(MonitorCommandService.exchangeName, "", null, message.toString().getBytes());
    }
}
