package org.gidea.scada.monitor.utils;

import java.util.UUID;

public class MonitorUtils {
    public static String getDeviceExchangeName(String deviceId) {
        return RabbitExchangeEnum.MonitorDeviceData.exchangeName + Constants.TopicSpacer + deviceId;
    }

    public static String getJhExchangeName(String deviceId) {
        return RabbitExchangeEnum.MonitorDeviceJh.exchangeName + Constants.TopicSpacer + deviceId;
    }

    public static String getCjdClientExchangeName(String deviceId) {
        return RabbitExchangeEnum.MonitorCjdClient.exchangeName + Constants.TopicSpacer + deviceId;
    }

    public static String getCjdServiceExchangeName(String deviceId) {
        return RabbitExchangeEnum.MonitorCjdService.exchangeName + Constants.TopicSpacer + deviceId;
    }

    public static String getRequestQueueName(String deviceId, String monitorName) {
        return monitorName + Constants.TopicSpacer + deviceId + Constants.TopicSpacer + UUID.randomUUID();
    }

    public static String getQueueName(String deviceId, String monitorName) {
        return monitorName + Constants.TopicSpacer + Constants.MqttTopicName + Constants.TopicSpacer + deviceId;
    }

    public static String getDeviceIdByMqtt(String topicName) {
        return topicName.replaceFirst(Constants.MqttTopicName + Constants.TopicSpacer, "");
    }

}
