package org.gidea.scada.monitor.mqtt.config;

import org.eclipse.paho.client.mqttv3.MqttClient;
import org.eclipse.paho.client.mqttv3.MqttConnectOptions;
import org.eclipse.paho.client.mqttv3.MqttException;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;


@Configuration
public class MonitorMqttConfig {

    @Value("${org.gidea.mqtt.uri}")
    private String url;

    @Value("${org.gidea.mqtt.username}")
    private String username;

    @Value("${org.gidea.mqtt.password}")
    private String password;


    public MqttClient mqttClient(String clientId) throws MqttException {
        // 创建 MQTT 客户端实例
        MqttClient sampleClient = new MqttClient(url, clientId);
        // 设置 MQTT 连接选项
        MqttConnectOptions connOpts = new MqttConnectOptions();
        connOpts.setCleanSession(true);
        // 你可以在这里设置用户名和密码，如果需要的话
        connOpts.setUserName(username);
        connOpts.setPassword(password.toCharArray());

        // 设置自动重连策略
        connOpts.setAutomaticReconnect(true);
//            connOpts.setInitialReconnectDelay(1000); // 初始重连延迟 1 秒
        connOpts.setMaxReconnectDelay(30000); // 最大重连延迟 30 秒

        // 连接 MQTT 服务器
        System.out.println("【" + clientId + "】连接 MQTT 服务器: " + url);
        sampleClient.connect(connOpts);
        System.out.println("【" + clientId + "】连接成功");
        return sampleClient;
    }
}
